Index: base/applications/mscutils/servman/lang/ru-RU.rc
===================================================================
--- base/applications/mscutils/servman/lang/ru-RU.rc	(revision 72075)
+++ base/applications/mscutils/servman/lang/ru-RU.rc	(working copy)
@@ -8,37 +8,37 @@
         MENUITEM SEPARATOR
         MENUITEM "&Выход", ID_EXIT
     END
-    POPUP "Действие"
+    POPUP "&Действие"
     BEGIN
-        MENUITEM "Подключиться к...", ID_CONNECT, GRAYED
+        MENUITEM "&Подключиться к ...", ID_CONNECT, GRAYED
         MENUITEM SEPARATOR
-        MENUITEM "Запустить", ID_START, GRAYED
-        MENUITEM "Остановить", ID_STOP, GRAYED
-        MENUITEM "Приостановить", ID_PAUSE, GRAYED
-        MENUITEM "Продолжить", ID_RESUME, GRAYED
-        MENUITEM "Перезапустить", ID_RESTART, GRAYED
+        MENUITEM "За&пустить", ID_START, GRAYED
+        MENUITEM "О&становить", ID_STOP, GRAYED
+        MENUITEM "Приост&ановить", ID_PAUSE, GRAYED
+        MENUITEM "Продол&жить", ID_RESUME, GRAYED
+        MENUITEM "Пере&запустить", ID_RESTART, GRAYED
         MENUITEM SEPARATOR
-        MENUITEM "Обновить", ID_REFRESH
+        MENUITEM "О&бновить", ID_REFRESH
         MENUITEM SEPARATOR
-        MENUITEM "Изменить...", ID_EDIT, GRAYED
-        MENUITEM "Создать...", ID_CREATE, GRAYED
-        MENUITEM "Удалить...", ID_DELETE, GRAYED
+        MENUITEM "&Изменить...", ID_EDIT, GRAYED
+        MENUITEM "С&оздать...", ID_CREATE, GRAYED
+        MENUITEM "&Удалить...", ID_DELETE, GRAYED
         MENUITEM SEPARATOR
-        MENUITEM "Свойства", ID_PROP, GRAYED
+        MENUITEM "Сво&йства", ID_PROP, GRAYED
     END
-    POPUP "Вид"
+    POPUP "&Вид"
     BEGIN
-        MENUITEM "Крупные значки", ID_VIEW_LARGE
-        MENUITEM "Мелкие значки", ID_VIEW_SMALL
-        MENUITEM "Список", ID_VIEW_LIST
-        MENUITEM "Таблица", ID_VIEW_DETAILS
+        MENUITEM "&Крупные значки", ID_VIEW_LARGE
+        MENUITEM "&Мелкие значки", ID_VIEW_SMALL
+        MENUITEM "С&писок", ID_VIEW_LIST
+        MENUITEM "&Таблица", ID_VIEW_DETAILS
         MENUITEM SEPARATOR
-        MENUITEM "Настроить...", ID_VIEW_CUST, GRAYED
+        MENUITEM "Н&астроить...", ID_VIEW_CUST, GRAYED
     END
-    POPUP "Справка"
+    POPUP "&Справка"
     BEGIN
-        MENUITEM "Содержание", ID_HELP
-        MENUITEM "О программе", ID_ABOUT
+        MENUITEM "Со&держание", ID_HELP
+        MENUITEM "&О программе", ID_ABOUT
     END
 END
 
@@ -46,20 +46,20 @@
 BEGIN
     POPUP "popup"
     BEGIN
-        MENUITEM "Запустить", ID_START, GRAYED
-        MENUITEM "Остановить", ID_STOP, GRAYED
-        MENUITEM "Приостановить", ID_PAUSE, GRAYED
-        MENUITEM "Продолжить", ID_RESUME, GRAYED
-        MENUITEM "Перезапустить", ID_RESTART, GRAYED
+        MENUITEM "За&пустить", ID_START, GRAYED
+        MENUITEM "О&становить", ID_STOP, GRAYED
+        MENUITEM "Приост&ановить", ID_PAUSE, GRAYED
+        MENUITEM "Продол&жить", ID_RESUME, GRAYED
+        MENUITEM "Пере&запустить", ID_RESTART, GRAYED
         MENUITEM SEPARATOR
-        MENUITEM "Обновить", ID_REFRESH
+        MENUITEM "О&бновить", ID_REFRESH
         MENUITEM SEPARATOR
-        MENUITEM "Изменить...", ID_EDIT, GRAYED
-        MENUITEM "Удалить...", ID_DELETE, GRAYED
+        MENUITEM "&Изменить...", ID_EDIT, GRAYED
+        MENUITEM "&Удалить...", ID_DELETE, GRAYED
         MENUITEM SEPARATOR
-        MENUITEM "Свойства", ID_PROP, GRAYED
+        MENUITEM "Сво&йства", ID_PROP, GRAYED
         MENUITEM SEPARATOR
-        MENUITEM "Справка", ID_HELP
+        MENUITEM "&Справка", ID_HELP
     END
 END
 
@@ -69,7 +69,7 @@
 STYLE DS_SHELLFONT | WS_BORDER | WS_DLGFRAME | WS_SYSMENU | DS_MODALFRAME
 BEGIN
     LTEXT "Диспетчер служб v0.8\nАвторское право (C) 2005-2007\nГед Мерфи (gedmurphy@reactos.org)", IDC_STATIC, 48, 7, 135, 32
-    PUSHBUTTON "Закрыть", IDOK, 75, 162, 44, 15
+    PUSHBUTTON "&Закрыть", IDOK, 75, 162, 44, 15
     ICON IDI_SM_ICON, IDC_STATIC, 10, 10, 7, 30
     EDITTEXT IDC_LICENSE_EDIT, 8, 44, 174, 107, WS_VISIBLE | WS_VSCROLL | WS_TABSTOP | ES_READONLY | ES_MULTILINE
 END
@@ -84,10 +84,10 @@
     EDITTEXT IDC_DESCRIPTION, 78, 46, 167, 24, WS_CHILD | WS_VISIBLE | WS_VSCROLL | WS_TABSTOP | ES_MULTILINE | ES_READONLY
     EDITTEXT IDC_EXEPATH, 6, 86, 240, 11, WS_CHILD | WS_VISIBLE | WS_TABSTOP | ES_READONLY
     COMBOBOX IDC_START_TYPE, 78, 107, 168, 40, WS_CHILD | WS_VISIBLE | WS_TABSTOP | CBS_DROPDOWNLIST
-    PUSHBUTTON "Запустить", IDC_START, 6, 155, 54, 15, WS_DISABLED
-    PUSHBUTTON "Остановить", IDC_STOP, 68, 155, 54, 15, WS_DISABLED
-    PUSHBUTTON "Приостановить", IDC_PAUSE, 130, 155, 54, 15, WS_DISABLED
-    PUSHBUTTON "Продолжить", IDC_RESUME, 192, 155, 54, 15, WS_DISABLED
+    PUSHBUTTON "За&пустить", IDC_START, 6, 155, 54, 15, WS_DISABLED
+    PUSHBUTTON "О&становить", IDC_STOP, 68, 155, 54, 15, WS_DISABLED
+    PUSHBUTTON "Приост&ановить", IDC_PAUSE, 130, 155, 54, 15, WS_DISABLED
+    PUSHBUTTON "Продо&лжить", IDC_RESUME, 192, 155, 54, 15, WS_DISABLED
     LTEXT "Имя службы:", IDC_STATIC, 6, 11, 53, 11
     LTEXT "Отображаемое имя:", IDC_STATIC, 6, 29, 63, 11
     LTEXT "Описание:", IDC_STATIC, 6, 47, 53, 11
@@ -102,52 +102,52 @@
 END
 
 IDD_LOGON DIALOGEX 6, 6, 253, 232
-CAPTION "Log On"
+CAPTION "Вход в систему"
 FONT 8, "MS Shell Dlg", 0, 0
 STYLE DS_SHELLFONT | WS_BORDER | WS_VISIBLE | WS_DLGFRAME | WS_SYSMENU | WS_GROUP | WS_TABSTOP
 BEGIN
-    LTEXT "Log on as:", IDC_STATIC, 7, 7, 238, 8
-    AUTORADIOBUTTON "&Local System account", IDC_LOGON_SYSTEMACCOUNT, 7, 22, 238, 10, BS_TOP | BS_MULTILINE | WS_CHILD | WS_VISIBLE | WS_GROUP | WS_TABSTOP
-    AUTORADIOBUTTON "&This account:", IDC_LOGON_THISACCOUNT, 7, 52, 60, 10, BS_TOP | BS_MULTILINE | WS_CHILD | WS_VISIBLE
-    AUTOCHECKBOX "Allo&w service to interact with desktop", IDC_LOGON_INTERACTIVE, 18, 34, 227, 10, WS_CHILD | WS_VISIBLE | WS_GROUP | WS_TABSTOP | BS_TOP | BS_MULTILINE
+    LTEXT "Вход в систему:", IDC_STATIC, 7, 7, 238, 8
+    AUTORADIOBUTTON "С &системной учетной записью", IDC_LOGON_SYSTEMACCOUNT, 7, 22, 238, 10, BS_TOP | BS_MULTILINE | WS_CHILD | WS_VISIBLE | WS_GROUP | WS_TABSTOP
+    AUTORADIOBUTTON "С учетной з&аписью:", IDC_LOGON_THISACCOUNT, 7, 52, 60, 10, BS_TOP | BS_MULTILINE | WS_CHILD | WS_VISIBLE
+    AUTOCHECKBOX "Разре&шить взаимодействовать с рабочим столом", IDC_LOGON_INTERACTIVE, 18, 34, 227, 10, WS_CHILD | WS_VISIBLE | WS_GROUP | WS_TABSTOP | BS_TOP | BS_MULTILINE
     EDITTEXT IDC_LOGON_ACCOUNTNAME, 72, 50, 103, 14, ES_LEFT | ES_AUTOHSCROLL | WS_CHILD | WS_VISIBLE | WS_BORDER | WS_GROUP | WS_TABSTOP
-    PUSHBUTTON "&Browse...", IDC_LOGON_SEARCH, 185, 50, 60, 14, WS_CHILD | WS_VISIBLE | WS_TABSTOP
-    LTEXT "&Password:", IDC_LOGON_PW1TEXT, 18, 71, 33, 8, WS_CHILD | WS_VISIBLE | WS_DISABLED | WS_GROUP
+    PUSHBUTTON "О&бзор...", IDC_LOGON_SEARCH, 185, 50, 60, 14, WS_CHILD | WS_VISIBLE | WS_TABSTOP
+    LTEXT "Паро&ль:", IDC_LOGON_PW1TEXT, 18, 71, 33, 8, WS_CHILD | WS_VISIBLE | WS_DISABLED | WS_GROUP
     EDITTEXT IDC_LOGON_PASSWORD1, 72, 68, 104, 14, ES_LEFT | ES_PASSWORD | ES_AUTOHSCROLL | WS_CHILD | WS_VISIBLE | WS_BORDER | WS_TABSTOP
-    LTEXT "&Confirm password:", IDC_LOGON_PW2TEXT, 18, 84, 47, 18, WS_CHILD | WS_VISIBLE | WS_DISABLED | WS_GROUP
+    LTEXT "Подтвер&ждение:", IDC_LOGON_PW2TEXT, 18, 84, 47, 18, WS_CHILD | WS_VISIBLE | WS_DISABLED | WS_GROUP
     EDITTEXT IDC_LOGON_PASSWORD2, 72, 86, 104, 14, ES_LEFT | ES_PASSWORD | ES_AUTOHSCROLL | WS_CHILD | WS_VISIBLE | WS_BORDER | WS_TABSTOP
-    LTEXT "You can enable or disable this service for the hardware profiles listed below:", IDC_STATIC, 7, 114, 210, 8, WS_CHILD | WS_VISIBLE | WS_GROUP
+    LTEXT "Можно включить/выключить службу для профилей оборудования:", IDC_STATIC, 7, 114, 210, 8, WS_CHILD | WS_VISIBLE | WS_GROUP
     CONTROL "", IDC_LOGON_HWPROFILE, "SysListView32", LVS_REPORT | LVS_SINGLESEL | LVS_SHOWSELALWAYS | LVS_NOSORTHEADER | WS_CHILD | WS_VISIBLE | WS_BORDER | WS_GROUP | WS_TABSTOP, 7, 124, 238, 65
-    PUSHBUTTON "&Enable", IDC_LOGON_HWENABLE, 116, 197, 60, 14, WS_CHILD | WS_VISIBLE | WS_TABSTOP | WS_DISABLED
-    PUSHBUTTON "&Disable", IDC_LOGON_HWDISABLE, 185, 197, 60, 14, WS_CHILD | WS_VISIBLE | WS_TABSTOP | WS_DISABLED
+    PUSHBUTTON "&Включить", IDC_LOGON_HWENABLE, 116, 197, 60, 14, WS_CHILD | WS_VISIBLE | WS_TABSTOP | WS_DISABLED
+    PUSHBUTTON "В&ыключить", IDC_LOGON_HWDISABLE, 185, 197, 60, 14, WS_CHILD | WS_VISIBLE | WS_TABSTOP | WS_DISABLED
 END
 
 IDD_RECOVERY DIALOGEX 6, 6, 253, 232
-CAPTION "Recovery"
+CAPTION "Восстановление"
 FONT 8, "MS Shell Dlg", 0, 0
 STYLE DS_SHELLFONT | WS_BORDER | WS_VISIBLE | WS_DLGFRAME | WS_SYSMENU | WS_GROUP | WS_TABSTOP
 BEGIN
-    LTEXT "Select the computer's response if this service fails.", IDC_STATIC, 7, 7, 238, 8
-    LTEXT "&First failure:", IDC_STATIC, 7, 24, 92, 8
+    LTEXT "Действие компьютера, выполняемое при сбое службы.", IDC_STATIC, 7, 7, 238, 8
+    LTEXT "&Первый сбой:", IDC_STATIC, 7, 24, 92, 8
     COMBOBOX IDC_FIRST_FAILURE, 104, 22, 141, 147, WS_CHILD | WS_VISIBLE | WS_TABSTOP | CBS_DROPDOWNLIST
-    LTEXT "&Second failure:", IDC_STATIC, 7, 41, 92, 8
+    LTEXT "&Второй сбой:", IDC_STATIC, 7, 41, 92, 8
     COMBOBOX IDC_SECOND_FAILURE, 104, 39, 141, 147, WS_CHILD | WS_VISIBLE | WS_TABSTOP | CBS_DROPDOWNLIST
-    LTEXT "Subsequent failures:", IDC_STATIC, 7, 58, 92, 8
+    LTEXT "По&следующие сбои:", IDC_STATIC, 7, 58, 92, 8
     COMBOBOX IDC_SUBSEQUENT_FAILURES, 104, 56, 141, 147, WS_CHILD | WS_VISIBLE | WS_TABSTOP | CBS_DROPDOWNLIST
-    LTEXT "Reset fail c&ounter after:", IDC_STATIC, 7, 75, 72, 8
+    LTEXT "Сбр&ос счетчика через:", IDC_STATIC, 7, 75, 72, 8
     EDITTEXT IDC_RESET_TIME, 104, 73, 40, 13, WS_CHILD | WS_VISIBLE | WS_BORDER | WS_TABSTOP | ES_LEFT | ES_AUTOHSCROLL | ES_NUMBER
-    LTEXT "days", IDC_STATIC, 150, 75, 95, 8
-    LTEXT "Restart ser&vice after:", IDC_RESTART_TEXT1, 7, 92, 92, 8
+    LTEXT "дн.", IDC_STATIC, 150, 75, 95, 8
+    LTEXT "П&ерезапуск службы через:", IDC_RESTART_TEXT1, 7, 92, 92, 8
     EDITTEXT IDC_RESTART_TIME, 104, 90, 40, 13, WS_CHILD | WS_VISIBLE | WS_BORDER | WS_TABSTOP | ES_LEFT | ES_AUTOHSCROLL | ES_NUMBER
-    LTEXT "minutes", IDC_RESTART_TEXT2, 150, 92, 95, 8
-    GROUPBOX "Run program", IDC_RUN_GROUPBOX, 7, 108, 238, 80
-    LTEXT "&Program:", IDC_RUN_TEXT1, 14, 121, 168, 8
+    LTEXT "мин.", IDC_RESTART_TEXT2, 150, 92, 95, 8
+    GROUPBOX "Выполнение программы", IDC_RUN_GROUPBOX, 7, 108, 238, 80
+    LTEXT "Про&грамма:", IDC_RUN_TEXT1, 14, 121, 168, 8
     EDITTEXT IDC_PROGRAM, 14, 131, 165, 14
-    PUSHBUTTON "&Browse...", IDC_BROWSE_PROGRAM, 180, 131, 58, 14
-    LTEXT "&Command line parameters:", IDC_RUN_TEXT2, 14, 155, 108, 8
+    PUSHBUTTON "Об&зор...", IDC_BROWSE_PROGRAM, 180, 131, 58, 14
+    LTEXT "Параметры &командной строки:", IDC_RUN_TEXT2, 14, 155, 108, 8
     EDITTEXT IDC_PARAMETERS, 128, 152, 110, 14
-    AUTOCHECKBOX "Append fail count to &end of command line (/fail=%1%)", IDC_ADD_FAILCOUNT, 14, 171, 219, 10, WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_TOP | BS_MULTILINE
-    PUSHBUTTON "&Restart Computer Options...", IDC_RESTART_OPTIONS, 116, 197, 129, 14
+    AUTOCHECKBOX "Доп&исать в командную строку счетчик ошибок (/fail=%1%)", IDC_ADD_FAILCOUNT, 14, 171, 219, 10, WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_TOP | BS_MULTILINE
+    PUSHBUTTON "П&араметры перезагрузки компьютера...", IDC_RESTART_OPTIONS, 116, 197, 129, 14
 END
 
 IDD_DLG_DEPEND DIALOGEX 6, 6, 253, 225
@@ -331,10 +331,10 @@
 
 STRINGTABLE
 BEGIN
-    IDS_NO_ACTION "Take no action"
-    IDS_RESTART_SERVICE "Restart the Service"
-    IDS_RUN_PROGRAM "Run a Program"
-    IDS_RESTART_COMPUTER "Restart the Computer"
+    IDS_NO_ACTION "Не выполнять никаких действий"
+    IDS_RESTART_SERVICE "Перезапустить службу"
+    IDS_RUN_PROGRAM "Запустить программу"
+    IDS_RESTART_COMPUTER "Перезагрузить компьютер"
 END
 
 STRINGTABLE
@@ -342,4 +342,3 @@
     IDS_NOT_SAME_PASSWORD "The Passwords are not the same!"
     IDS_INVALID_PASSWORD "Enter a valid Password!"
 END
-
Index: base/applications/mstsc/lang/ru-RU.rc
===================================================================
--- base/applications/mstsc/lang/ru-RU.rc	(revision 72075)
+++ base/applications/mstsc/lang/ru-RU.rc	(working copy)
@@ -57,7 +57,7 @@
     IDS_HIGHCOLOR15 "32,768 цветов (15 бит)"
     IDS_HIGHCOLOR16 "65,536 цветов (16 бит)"
     IDS_HIGHCOLOR24 "16,777,216 цветов (24 бит)"
-    IDS_HIGHCOLOR32 "Highest Quality (32 bit)"
+    IDS_HIGHCOLOR32 "Наивысшее качество (32 bit)"
     IDS_PIXEL "%lu на %lu пикселей"
     IDS_FULLSCREEN "Полный экран"
     IDS_BROWSESERVER "<Указать путь...>"
Index: base/applications/network/ping/lang/ru-RU.rc
===================================================================
--- base/applications/network/ping/lang/ru-RU.rc	(revision 72075)
+++ base/applications/network/ping/lang/ru-RU.rc	(working copy)
@@ -6,7 +6,7 @@
 Параметры:\n\
     -t               Проверка связи с указанным узлом до прекращения.\n\
                      Для прекращения нажмите CTRL+C.\n\
-    -n <число>       Число отправляемых запросов эха.\n\
+    -n <число>       Число отправляемых запросов эхо-запросов.\n\
     -l <размер>      Размер буфера отправки.\n\
     -w <тайм-аут>    Тайм-аут для каждого ответа (в миллисекундах)\n\n\0"
 
@@ -16,20 +16,20 @@
     IDS_APPROXIMATE_ROUND_TRIP "Приблизительное время приема-передачи в мс:\n\0"
     IDS_MIN_MAX_AVERAGE "    Минимальное = %1, Максимальное = %2, Среднее = %3\n\0"
     IDS_NOT_ENOUGH_RESOURCES "Невозможно выделить требуемую память.\n\0"
-    IDS_UNKNOWN_HOST "Unknown host %1.\n\0"
-    IDS_SETSOCKOPT_FAILED "setsockopt failed (%1!d!).\n\0"
+    IDS_UNKNOWN_HOST "Неизвестный узел %1.\n\0"
+    IDS_SETSOCKOPT_FAILED "Ошибка setsockopt (%1!d!).\n\0"
     IDS_COULD_NOT_CREATE_SOCKET "Не удалось создать сокет (#%1!d!).\n\0"
     IDS_COULD_NOT_INIT_WINSOCK "Не удается инициализировать интерфейс ReactOS Sockets.\n\0"
     IDS_DEST_MUST_BE_SPECIFIED "Необходимо указать адрес IP.\n\0"
     IDS_BAD_PARAMETER "Неверный параметр %1.\n\0"
-    IDS_BAD_OPTION_FORMAT "Bad option format %1.\n\0"
-    IDS_BAD_OPTION "Bad option %1.\n\0"
+    IDS_BAD_OPTION_FORMAT "Неверный формат опции %1.\n\0"
+    IDS_BAD_OPTION "Неверная опция %1.\n\0"
     IDS_BAD_VALUE_OPTION_L "Недопустимое значение параметра -l, допустимый диапазон с 0 по %1!d!.\n\0"
     IDS_BAD_VALUE_OPTION_N "Недопустимое значение параметра -n, допустимый диапазон с 1 по %1!u!.\n\0"
     IDS_REPLY_FROM "Ответ от %1: число байт=%2!d! время%3%4 TTL=%5!d!\n\0"
-    IDS_DEST_UNREACHABLE "Destination host unreachable.\n\0"
-    IDS_COULD_NOT_TRANSMIT "Could not transmit data (%1!d!).\n\0"
-    IDS_COULD_NOT_RECV "Could not receive data (%1!d!).\n\0"
+    IDS_DEST_UNREACHABLE "Заданный узел недоступен.\n\0"
+    IDS_COULD_NOT_TRANSMIT "Невозможно передать данные (%1!d!).\n\0"
+    IDS_COULD_NOT_RECV "Невозможно получить данные (%1!d!).\n\0"
     IDS_REQUEST_TIMEOUT "Превышен интервал ожидания для запроса.\n\0"
     IDS_MS "мсек\0"
     IDS_1MS "1мсек\0"
Index: base/applications/network/telnet/lang/ru-RU.rc
===================================================================
--- base/applications/network/telnet/lang/ru-RU.rc	(revision 72075)
+++ base/applications/network/telnet/lang/ru-RU.rc	(working copy)
@@ -3,7 +3,7 @@
 STRINGTABLE
 BEGIN
     MSG_COPYRIGHT "Telnet Win32 v2.1b2, Copyright (C) 2000 Paul Brannan <pbranna@clemson.edu>\nand the team.  This program comes with ABSOLUTELY NO WARRANTY; for details\nread LICENSE.TXT.  "
-    MSG_COPYRIGHT_1 "This is free software, and you are welcome to redistribute\nit under certain conditions.\n\n"
+    MSG_COPYRIGHT_1 MSG_COPYRIGHT_1 "Это бесплатное програмное обеспечение, и вы можете свободно распространять его\nпод условиями лицензии.\n\n"
     MSG_USAGE "Использование: TELNET [параметры][узел [порт]]\n\n  параметры\n    -d:<имя_файла>  Записывать все данные в файл.\n  узел              Имя узла или IP адрес для подключения.\n"
     MSG_USAGE_1 "  порт              № используемого порта (по умолчанию: 23)\n\n"
     MSG_HELP "Команды можно сократить.  Команды:\n  \ncl[ose]         закрыть текущее соединение\nop[en]          подключиться к узлу\nq[uit]          выйти из telnet\n"
@@ -21,11 +21,11 @@
     MSG_CONFIG "Загрузка параметров из %1.\n"
     MSG_NOINI "Ошибка загрузки параметров из %1.\nЗагрузка параметров по умолчанию.\n"
     MSG_BADVAL "Предупреждение: неправильная переменная %1.\n"
-    MSG_NOSPAWN "Unable to spawn process.\n"
+    MSG_NOSPAWN "Невозможно породить процесс.\n"
     MSG_RESOLVING "Поиск узла: %1..."
     MSG_NOSERVICE "TCP служба не найдена: %1.\n"
     MSG_SIZEALIAS "Внимание: Размер псевдонима %1 слишком большой, игнорирование.\n"
-    MSG_ERRPIPE "Error: unable to spawn process for pipe.\n"
+    MSG_ERRPIPE "Ошибка: невозможно породить процесс для пайпа.\n"
     MSG_BADUSAGE "Ошибка: недопустимое использование команды.\n"
     MSG_ALREADYCONNECTED "Уже подключен к %1.\n"
     MSG_WSAEINTR "Вызов функции прерван.\n"
@@ -37,7 +37,7 @@
     MSG_WSAEWOULDBLOCK "Ресурс временно недоступен.\n"
     MSG_WSAEINPROGRESS "Операция сейчас продолжается.\n"
     MSG_WSAEALREADY "Операция уже идет.\n"
-    MSG_WSAENOTSOCK "Socket operation on non-socket.\n"
+    MSG_WSAENOTSOCK "Сокет-операция над не-сокетом.\n"
     MSG_WSAEDESTADDRREQ "Требуется адрес назначения.\n"
     MSG_WSAEMSGSIZE "Слишком длинное сообщение.\n"
     MSG_WSAEPROTOTYPE "Неправильный тип протокола для сокета.\n"
@@ -46,12 +46,12 @@
     MSG_WSAESOCKNOTSUPPORT "Тип сокета не поддерживается.\n"
     MSG_WSAEOPNOTSUPP "Операция не поддерживается.\n"
     MSG_WSAEPFNOTSUPPORT "Семейство протоколов не поддерживается.\n"
-    MSG_WSAEAFNOTSUPPORT "Address family not supported by protocol family.\n"
+    MSG_WSAEAFNOTSUPPORT "Семейство адресов не поддерживается семейством протоколов.\n"
     MSG_WSAEADDRINUSE "Адрес уже используется.\n"
     MSG_WSAEADDRNOTAVAIL "Не могу назначить запрошенный адрес.\n"
     MSG_WSAENETDOWN "Сеть отключена.\n"
     MSG_WSAENETUNREACH "Сеть недоступна.\n"
-    MSG_WSAENETRESET "Network dropped connection on reset.\n"
+    MSG_WSAENETRESET "Сеть сброшена по команде reset.\n"
     MSG_WSAECONNABORTED "ПО вызвало разрыв соединения.\n"
     MSG_WSAECONNRESET "Соединение прервано.\n"
     MSG_WSAENOBUFS "Нет доступного буферного пространства.\n"
@@ -69,7 +69,7 @@
     MSG_WSAVERNOTSUPPORTED "WINSOCK.DLL не правильная версия.\n"
     MSG_WSANOTINITIALISED "WSAStartup еще не выполнена успешно.\n"
     MSG_WSAHOST_NOT_FOUND "Узел не найден.\n"
-    MSG_WSATRY_AGAIN "Non-authoritative host not found.\n"
+    MSG_WSATRY_AGAIN "Ненадежный узел не найден.\n"
     MSG_WSANO_RECOVERY "Это неустранимая ошибка.\n"
     MSG_WSANO_DATA "Действительное имя, без записи данных требуемого типаe.\n"
     MSG_KEYNOVAL "[GLOBAL]: Нет значения для %1.\n"
Index: base/applications/osk/lang/ru-RU.rc
===================================================================
--- base/applications/osk/lang/ru-RU.rc	(revision 72075)
+++ base/applications/osk/lang/ru-RU.rc	(working copy)
@@ -77,7 +77,7 @@
     PUSHBUTTON      "M",SCAN_CODE_49,145,113,23,22
     PUSHBUTTON      "И",SCAN_CODE_50,172,113,23,22
     PUSHBUTTON      "T",SCAN_CODE_51,199,113,23,22
-    PUSHBUTTON      "b",SCAN_CODE_52,226,113,23,22
+    PUSHBUTTON      "Ь",SCAN_CODE_52,226,113,23,22
     PUSHBUTTON      "Б",SCAN_CODE_53,253,113,23,22
     PUSHBUTTON      "Ю",SCAN_CODE_54,280,113,23,22
     PUSHBUTTON      ".",SCAN_CODE_55,307,113,23,22
Index: base/applications/rapps/lang/ru-RU.rc
===================================================================
--- base/applications/rapps/lang/ru-RU.rc	(revision 72075)
+++ base/applications/rapps/lang/ru-RU.rc	(working copy)
@@ -201,6 +201,6 @@
     IDS_CERT_DOES_NOT_MATCH "Ошибка проверки SSL сертификата."
     IDS_INTEG_CHECK_TITLE "Проверка целостности приложения..."
     IDS_INTEG_CHECK_FAIL "Приложение не прошло проверку целостности, возможно оно было повреждено или подменено. Запуск приложения не рекомендуется."
-    IDS_INTERRUPTED_DOWNLOAD "The download was interrupted. Check connection to Internet."
-    IDS_UNABLE_TO_WRITE "Unable to write to disk. Disk may be at capacity."
+    IDS_INTERRUPTED_DOWNLOAD "Загрузка была прервана. Проверьте подключение к сети Интернет."
+    IDS_UNABLE_TO_WRITE "Не удалось записать данные на диск. Возможно диск переполнен."
 END
Index: base/applications/rapps_new/lang/ru-RU.rc
===================================================================
--- base/applications/rapps_new/lang/ru-RU.rc	(revision 72075)
+++ base/applications/rapps_new/lang/ru-RU.rc	(working copy)
@@ -201,6 +201,6 @@
     IDS_CERT_DOES_NOT_MATCH "Ошибка проверки SSL сертификата."
     IDS_INTEG_CHECK_TITLE "Проверка целостности приложения..."
     IDS_INTEG_CHECK_FAIL "Приложение не прошло проверку целостности, возможно оно было повреждено или подменено. Запуск приложения не рекомендуется."
-    IDS_INTERRUPTED_DOWNLOAD "The download was interrupted. Check connection to Internet."
-    IDS_UNABLE_TO_WRITE "Unable to write to disk. Disk may be at capacity."
+    IDS_INTERRUPTED_DOWNLOAD "Загрузка была прервана. Проверьте подключение к сети Интернет."
+    IDS_UNABLE_TO_WRITE "Не удалось записать данные на диск. Возможно диск переполнен."
 END
Index: base/applications/winhlp32/lang/Ru.rc
===================================================================
--- base/applications/winhlp32/lang/Ru.rc	(revision 72075)
+++ base/applications/winhlp32/lang/Ru.rc	(working copy)
@@ -44,11 +44,11 @@
  POPUP "&Настройки" {
   MENUITEM "Всегда &сверху", MNID_HELP_HELPTOP
   MENUITEM "История",		MNID_OPTS_HISTORY
-  POPUP    "Шрифт"
+  POPUP    "&Шрифт"
   BEGIN
-    MENUITEM "Мелкий",		MNID_OPTS_FONTS_SMALL
-    MENUITEM "Обычный",    	MNID_OPTS_FONTS_NORMAL
-    MENUITEM "Крупный",     	MNID_OPTS_FONTS_LARGE
+    MENUITEM "&Мелкий",		MNID_OPTS_FONTS_SMALL
+    MENUITEM "&Обычный",    	MNID_OPTS_FONTS_NORMAL
+    MENUITEM "&Крупный",     	MNID_OPTS_FONTS_LARGE
   END
  }
  POPUP "&Справка" {
Index: base/applications/wordpad/lang/ru-RU.rc
===================================================================
--- base/applications/wordpad/lang/ru-RU.rc	(revision 72075)
+++ base/applications/wordpad/lang/ru-RU.rc	(working copy)
@@ -183,7 +183,7 @@
     STRING_LOAD_RICHED_FAILED,   "Ошибка загрузки библиотеки RichEdit."
     STRING_SAVE_LOSEFORMATTING,  "Сохранение документа в виде неформатированного текста приведёт к потере форматирования. Подтверждаете выполнение этой операции?"
     STRING_INVALID_NUMBER,       "Неправильный числовой формат."
-    STRING_OLE_STORAGE_NOT_SUPPORTED, "OLE storage документы не поддерживаются."
+    STRING_OLE_STORAGE_NOT_SUPPORTED, "Документы из хранилища OLE не поддерживаются."
     STRING_WRITE_FAILED,              "Невозможно сохранить файл."
     STRING_WRITE_ACCESS_DENIED,       "Недостаточно прав для сохранения файла."
     STRING_OPEN_FAILED,               "Невозможно открыть файл."
Index: base/setup/reactos/lang/ru-RU.rc
===================================================================
--- base/setup/reactos/lang/ru-RU.rc	(revision 72075)
+++ base/setup/reactos/lang/ru-RU.rc	(working copy)
@@ -16,9 +16,9 @@
 FONT 8, "MS Shell Dlg"
 BEGIN
     AUTORADIOBUTTON "Установка ReactOS", IDC_INSTALL, 7, 7, 277, 10
-    LTEXT "Install a new copy of ReactOS. This option does not keep your files, settings and programs. You can make changes to disks and partitions.", IDC_INSTALLTEXT, 18, 18, 269, 25
+    LTEXT "Установить новую копию системы ReactOS. Эта опция НЕ сохраняет файлы, настройки и программы. Вы можете изменять диски и разделы.", IDC_INSTALLTEXT, 18, 18, 269, 25
     AUTORADIOBUTTON "Восстановить или изменить установленный ранее ReactOS", IDC_UPDATE, 7, 50, 277, 10
-    LTEXT "Update or repair an installed copy of ReactOS. This option keeps your files, settings and programs. This option is only available if ReactOS is already installed on this computer.", IDC_UPDATETEXT, 18, 61, 269, 30
+    LTEXT "Обновить или посстановить установленную копию системы ReactOS. Эта опция СОХРАНЯЕТ файлы, настройки и программы. Доступно только при наличии уже установленной на компьютере системы ReactOS.", IDC_UPDATETEXT, 18, 61, 269, 30
     LTEXT "Для установки устройств нажмите ""Далее"".", IDC_STATIC, 7, 128, 297, 8
 END
 
Index: base/shell/cmd/lang/ru-RU.rc
===================================================================
--- base/shell/cmd/lang/ru-RU.rc	(revision 72075)
+++ base/shell/cmd/lang/ru-RU.rc	(working copy)
@@ -7,10 +7,10 @@
     STRING_ASSOC_HELP "Modify file extension associations.\n\n\
 assoc [.ext[=[FileType]]]\n\
 \n\
-assoc (print all associations)\n\
-assoc .ext (print specific association)\n\
-assoc .ext= (remove specific association)\n\
-assoc .ext=FileType (add new association)\n"
+assoc (вывести все ассоциации)\n\
+assoc .ext (вывести выбранную ассоциацию)\n\
+assoc .ext= (удалить ассоциацию)\n\
+assoc .ext=FileType (добавить ассоциацию)\n"
     STRING_ATTRIB_HELP "Вывод и изменение атрибутов файлов.\n\n\
 ATTRIB [+R | -R] [+A | -A] [+S | -S] [+H | -H] файл ...\n\
        [/S [/D]]\n\n\
@@ -203,7 +203,7 @@
   ECHO [сообщение]\n\
   ECHO.             вывод пустой строки\n\n\
 ECHO без параметра выводит текущий режим отображения команд."
-    STRING_ECHO_HELP5 "ECHO is %s\n"
+    STRING_ECHO_HELP5 "ECHO это %s\n"
     STRING_EXIT_HELP "Завершает работу интерпретатора командной строки.\n\nEXIT [/b] [ExitCode]\n\n\
   /B            Завершает текущий пакетный файл.  \n\
                 Если выполняется вне пакетного файла, то будет завершена программа CMD.EXE\n\
@@ -280,7 +280,7 @@
 MOVE [/N][диск:][путь]имя_каталога1 имя_каталога2\n\n\
   [диск:][путь]имя_файла1  Указывает местоположение и имя файла или файлов\n\
                            которые необходимо переместить.\n\
-  /N                       Nothing. Do everything but move files or directories.\n\n\
+  /N                       Не выполнять перемещение файлов или каталогов.\n\n\
 Текущие ограничения:\n\
   - Невозможно переносить файлы или папки между разными разделами.\n"
     STRING_MSGBOX_HELP "Вывод окна с сообщением и возврат ответа пользователя\n\n\
@@ -335,7 +335,7 @@
 RENAME [/E /N /P /Q /S /T] старое_имя ... новое_имя\n\
 REN [/E /N /P /Q /S /T] старое_имя ... новое_имя\n\n\
   /E    Не выводить сообщения об ошибках.\n\
-  /N    Nothing.\n\
+  /N    Ничего не делать.\n\
   /P    Запрос подтверждения перед каждым переименованием.\n\
         (Не реализовано в данный момент!)\n\
   /Q    Тихий режим.\n\
@@ -399,7 +399,7 @@
     STRING_TIME_HELP2 "Введите новое время: "
     STRING_TIMER_HELP1 "Прошло %d мсек\n"
     STRING_TIMER_HELP2 "Прошло %02d%c%02d%c%02d%c%02d\n"
-    STRING_TIMER_HELP3 "ПОзволяет использовать десять секундомеров.\n\n\
+    STRING_TIMER_HELP3 "Позволяет использовать десять секундомеров.\n\n\
 TIMER  [ON|OFF] [/S] [/n] [/Fn]\n\n\
   ON          Включить секундомер\n\
   OFF         Выключить секундомер\n\
@@ -426,20 +426,21 @@
     STRING_VERSION_HELP1 "Вывод версии\n\n\
 VER [/C] [/R] [/W]\n\n\
   /C  Отображание авторов.\n\
-  /R  Displays redistribution information.\n\
+  /R  Отображение информации о распространении.\n\
   /W  Отображаение предоставляемых гарантий."
-    STRING_VERSION_HELP2 " предоставляется БЕЗ КАКИХ-ЛИБО ГАРАНТИЙ; для подробности\n\
-введите: `ver /w'. This is free software, and you are welcome to redistribute\n\
-it under certain conditions; type `ver /r' for details. Type `ver /c' for a\n\
-listing of credits."
-    STRING_VERSION_HELP3 "\n This program is distributed in the hope that it will be useful,\n\
- but WITHOUT ANY WARRANTY; without even the implied warranty of\n\
- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the\n\
- GNU General Public License for more details."
-    STRING_VERSION_HELP4 "\n This program is free software; you can redistribute it and/or modify\n\
- it under the terms of the GNU General Public License as published by\n\
- the Free Software Foundation; either version 2 of the License, or\n\
- (at your option) any later version.\n"
+    STRING_VERSION_HELP2 " предоставляется БЕЗ КАКИХ-ЛИБО ГАРАНТИЙ; для подробностей\n\
+введите: `ver /w'. Это свободное программное обеспечение, и Вы можете распространять его\n\
+при соблюдении определенных условий; введите `ver /r' для вывода подробностей. Введите `ver /c' для \n\
+отображения списка благодарностей."
+    STRING_VERSION_HELP3 "\n Эта программа распространяется с надеждой, что она будет полезна,\n\
+но БЕЗ КАКИХ-ЛИБО ГАРАНТИЙ; в том числе без подразумеваемой гарантии\n\
+пригодности к продаже или коммерческому использованию. Смотри текст\n\
+GNU General Public License для получения дополнительной информации."
+    STRING_VERSION_HELP4 "\n Эта программа является свободным программным обеспечением;\n\
+Вы можете ее распространять и/или модифицировать\n\
+в соответствиями с условиями лицензии GNU General Public License, опубликованной\n\
+организацией Free Software Foundation, версии 2 или\n\
+(по вашему выбору) любой более поздней версии.\n"
     STRING_VERSION_HELP5 "\nПосылайте отчеты об ошибках на <ros-dev@reactos.org>.\n\
 Обновления доступны по адресу: http://www.reactos.org"
     STRING_VERSION_HELP6 "\nFreeDOS версия написана:\n"
@@ -505,7 +506,7 @@
     STRING_MD_ERROR2 "Путь к новому каталогу не существует.\n"
     STRING_MOVE_ERROR1 "[OK]\n"
     STRING_MOVE_ERROR2 "[Ошибка]\n"
-    STRING_REN_ERROR1 "Выполнение MoveFile() было не удачным. Ошибка: %lu\n"
+    STRING_REN_ERROR1 "Выполнение MoveFile() было неудачным. Ошибка: %lu\n"
     STRING_TIME_ERROR1 "Неверное время."
     STRING_TYPE_ERROR1 "Неверный параметр '/%s'\n"
     STRING_WINDOW_ERROR1 "окно не найдено"
@@ -540,7 +541,7 @@
     STRING_FOR_ERROR "неправильное задание переменной."
     STRING_SCREEN_COL "неправильное значение для колонок"
     STRING_SCREEN_ROW "неправильное значение для строк"
-    STRING_TIMER_TIME "Timer %d is %s: "
+    STRING_TIMER_TIME "Таймер %d на %s: "
     STRING_MKLINK_CREATED_SYMBOLIC "Символьная ссылка создана для %s <<===>> %s\n"
     STRING_MKLINK_CREATED_HARD "Жесткая ссылка создана для %s <<===>> %s\n"
     STRING_MKLINK_CREATED_JUNCTION "Точка соединения создана для %s <<===>> %s\n"
